<?php
/**
* @version 			SEBLOD 3.x Core
* @package			SEBLOD (App Builder & CCK) // SEBLOD nano (Form Builder)
* @url				http://www.seblod.com
* @editor			Pulsar - www.pulsar.com
* @copyright		Copyright (C) 2013 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

defined( '_JEXEC' ) or die;

$options2   =   JCckDev::fromJSON( $this->item->options2 );
?>

<div class="seblod">
	<?php echo JCckDev::renderLegend( JText::_( 'COM_CCK_CONSTRUCTION' ), JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_DESC' ) ); ?>
    <ul class="adminformlist adminformlist-2cols">
        <?php
        echo JCckDev::renderForm( 'core_label', $this->item->label, $config );
        echo JCckDev::renderForm( 'core_defaultvalue', $this->item->defaultvalue, $config );
		echo JCckDev::renderForm( 'core_dev_select', @$options2['mode'], $config, array( 'label'=>'Mode', 'selectlabel'=>'Use Global', 'options'=>'Ajax=ajax||Nested=nested', 'storage_field'=>'json[options2][mode]' ) );
        echo JCckDev::renderForm( 'core_dev_bool', @$options2['custom'], $config, array( 'label'=>'Allow Submissions', 'options'=>'Yes=1||No=0', 'storage_field'=>'json[options2][custom]' ) );
        echo JCckDev::renderForm( 'core_dev_bool', @$options2['alltags'], $config, array( 'label'=>'All tags', 'options'=>'Yes=1||No=0', 'storage_field'=>'json[options2][alltags]' ) );

		echo JCckDev::renderSpacer( JText::_( 'COM_CCK_STORAGE' ), JText::_( 'COM_CCK_STORAGE_DESC' ) );
		echo JCckDev::getForm( 'core_storage', $this->item->storage, $config );
        ?>
    </ul>
</div>
